function [] = montecarlo(coeff_table,gumby_aks,x_min,lim_slack)
N_mont_sim=10000; % Have to be in 10
grid = 400;

for j =1:length(cell2mat(x_min(2,:)))
    x_data = cell2mat(x_min(2:end,:));
    low = floor(x_data(1,j));
    high = ceil(x_data(end,j));
    
    %% montecarlo
    
    %Makes axes for Gumbel plots
    alpha1 = cell2mat(coeff_table(3,1+(j-1)*2));
    beta1 = cell2mat(coeff_table(3,2+(j-1)*2));
    
    u = alpha1 + beta1 * log(-log(rand(1,length(gumby_aks),N_mont_sim)));
    
    x=low:1000:high;
    
    %Makes Gumbelfunktion
    Gumbel_reg= @(alpha, beta, x) (x-alpha)/beta;
    
    %% Montecarlo simulering
    for i=1:N_mont_sim
        
        mean_mc = mean(u(:,:,i));
        std_mc = std(u(:,:,i));
        
        beta(j,i) = std_mc/1.28255;
        alpha(j,i) = mean_mc + 0.57722*beta(j,i);
        
        %plot(x,sort(Gumbel_reg(alpha, beta, x)));
        % scatter(sort(u(:,:,i),'descend'),gumby_aks);
    end
    
    % 90% conf.int lines
    regline_c = @(alpha_m,beta_m,x) (x./beta_m) - (alpha_m./beta_m);
    dgrid =(high - low)/(grid*1.3);
    for g=1:grid*1.3
        x_conf(j,g) = low + dgrid*g;
        a(j,:) = sort(regline_c(alpha(j,:),beta(j,:),x_conf(j,g)));
        topconf(j,g) = a(j,0.95*N_mont_sim);
        bunconf(j,g) = a(j,0.05*N_mont_sim);
    end
    
    figure
    title(char(x_min(1,j)));
    hold on
    
    plot (x_conf(j,:),topconf(j,:),'--k','LineWidth',1)
    plot (x_conf(j,:),bunconf(j,:),'--k','LineWidth',1)
    scatter(x_data(:,j),gumby_aks,'k')
    plot(x,Gumbel_reg(alpha1, beta1,x),'-r','linewidth',3);
    scatter(lim_slack,Gumbel_reg(alpha1, beta1,lim_slack),'b');
    hold off
    
    figure 
    x_scurve = min(x)-1e6 :1000: max(x)+1e6;
    plot(x_scurve,1-exp(-exp(Gumbel_reg(alpha1, beta1,x_scurve))));
    
    %% Save resutlt to plot files
    Res = [x_data(:,j)';gumby_aks];
    Confint = [x_conf(j,:);bunconf(j,:);topconf(j,:)];
    Line = [x;Gumbel_reg(alpha1, beta1,x)];
    Limit = [lim_slack, 0; ...
        lim_slack, Gumbel_reg(alpha1, beta1,lim_slack)];
    S_curve = [x_scurve; (1-exp(-exp(Gumbel_reg(alpha1, beta1,x_scurve))))];
    
     fileID1 = fopen(['Res',char(x_min(1,j)),'.plo'],'w');
     fileID2 = fopen(['Confint',char(x_min(1,j)),'.plo'],'w');
     fileID3 = fopen(['Regline',char(x_min(1,j)),'.plo'],'w');
     fileID4 = fopen(['Limit',char(x_min(1,j)),'.plo'],'w');
     fileID5 = fopen(['Scatter',char(x_min(1,j)),'.plo'],'w');
     fileID6 = fopen(['Scurve',char(x_min(1,j)),'.plo'],'w');
      
    fprintf(fileID1,'Confint\n');
    fprintf(fileID1,'x\tylow\tyhigh\r\n');
    fprintf(fileID1,'%f %f %f\r\n',Confint);
    fprintf(fileID2,'x\tylow\tyhigh\r\n');
    fprintf(fileID2,'%f %f %f\r\n',Confint);
    
    fprintf(fileID1,'Regression line\n');
    fprintf(fileID1,'x\ty\r\n');
    fprintf(fileID1,'%f %f\r\n',Line);
    fprintf(fileID3,'x\ty\r\n');
    fprintf(fileID3,'%f %f\r\n',Line);
    
    fprintf(fileID1,'Limit\n');
    fprintf(fileID1,'x\ty\r\n');
    fprintf(fileID1,'%f %f\r\n',Limit);
    fprintf(fileID4,'x\ty\r\n');
    fprintf(fileID4,'%f %f\r\n',Limit);
    
    fprintf(fileID1,['Results:',char(x_min(1,j)),'\n']);
    fprintf(fileID1,'Scatter\n');
    fprintf(fileID1,'x\ty\r\n');
    fprintf(fileID1,'%f %f\r\n',Res);
    fprintf(fileID5,'x\ty\r\n');
    fprintf(fileID5,'%f %f\r\n',Res);
    
    fprintf(fileID1,'S-curv\n');
    fprintf(fileID1,'x\ty\r\n');
    fprintf(fileID1,'%e %e\r\n',S_curve); 
    fprintf(fileID6,'x\ty\r\n');
    fprintf(fileID6,'%e %e\r\n',S_curve); 
    
    fclose(fileID1);
    fclose(fileID2);
    fclose(fileID3);
    fclose(fileID4);
    fclose(fileID5); 
    fclose(fileID6); 
end




end
