close all; clear all; 

%% Formulas 

f_C_s1 = @(h,R) (5.15./(1+8.5*h./R)) + 0.275*h./R; % Exprimental slamming coff

% Coefficients:
  p1 = 1.3325;
  p2 = -12.763;
  p3 = 49.248;
  p4 = -97.585;
  p5 = 103.37;
  p6 = -51.53;
  p7 = 1.6097;
  p8 = 10.371;
  p9 = -6.5627;
  p10 = 3.14;

y_theroy = @(x) p1*x.^9 + p2*x.^8 + p3*x.^7 + p4*x.^6 + p5*x.^5 + p6*x.^4 + ...
    p7*x.^3 + p8*x.^2 + p9*x + p10; 


% coefficients:
  ap1 = 0.35247;
  ap2 = -1.5803;
  ap3 = 2.7379;
  ap4 = 0.035908;

 y2 = @(x) ap1*x^3 + ap2*x^2 + ap3*x + ap4;

 
% Coefficients (with 95% confidence bounds):
       a0 =       1.994;
       a1 =      -1.503;
       b1 =     -0.2733;
       a2 =      -0.462;
       b2 =    -0.01653;
       a3 =     -0.0231;
       b3 =      0.1697;
       w =       1.231;

% General model Fourier3:
     f = @(x) a0 + a1*cos(x*w) + b1*sin(x*w) + ...
            a2*cos(2*x*w) + b2*sin(2*x*w) + a3*cos(3*x*w) + b3*sin(3*x*w);
 
 
%% Plot 

% % Experimental slamming coefficent pr unit R and length
% h=0:0.01:2.5;
% R=1;
% figure
% plot(h/R,f_C_s1(h,R))
% hold on
% fplot(y_theroy,[0,2.5])
% hold on
% fplot(y2,[0,2.5])
% hold on
% fplot(f,[0,2.5])



%% Slamming in still water experimental Cs


% Assumtions:
V = 1; %m/s konstant velocity
R = 1; %m
L = 45; %m
h=0:0.01:2*R;

% Parameters
rho = 1025;
g = 9.81;

% Calculations

% changing area/Volume

y = sqrt(8.*h*R-4.*h.^2);

c = atan2((y/2),(R-h));

A = 0.5*R^2 *(2.*c-sin(2.*c));

Vol = A*L;
time = h/V;

F_buoy = Vol*rho*g;

F_slam = rho*f_C_s1(h,R)*R*V^2*L;

F_tot = F_slam + F_buoy;

Res =[h;F_slam];

figure
plot(h,F_slam)
figure
plot(h,F_buoy)
figure
plot(h,F_tot)

fileID = fopen('Slamming.plo','w');
fprintf(fileID,'%f %f\r\n',Res);
fclose(fileID);
