%% Calculatin acceleration of wire elongation:

% The pupuse is to create a function of displacement of the start phase of
% the wire, so the acceleration goes for zero to zero in a continius
% motion.
clc; clear;
%% Defined paramters
c_2 = 100; % Peak parameter for acceleration
v = 1; % The derired lowering velocity
l = 100; % The desired lowering length 
li = 49; % Initial length of wire

%% By formulase presented in .... displacement,acceleration can be given as:

S = @(c_2,t) 1/24 * t.^4 /(c_2);
vel = @(c_2,t) 1/6 * t.^3 /(c_2);
a = @(c_2,t,t_end) (t_end*t-t.^2)/(c_2);

t_end = nthroot(c_2*6*v, 3);

t=0:0.1:t_end;
t(length(t)+1)= t_end;

velo = vel(c_2,t);
Disp = S(c_2,t);
acc = a(c_2,t,t_end);

%% constant lowering velocity after ended acceleration to a defined lenght
Disp_end = Disp(length(Disp));

t_simulation = ((l-Disp_end)/v) + t_end;

t(length(t)+1) = t_simulation;


%Displacement factor 
Disp_fac = Disp/li;
Disp_fac(length(Disp_fac)+1) = l/li; 

%% Save the result to a file
time_disp = [t;Disp_fac];
acc_wire =[t(1:end-1);acc];

fileID = fopen('start_disp.plo','w');
fprintf(fileID,'%f %f\r\n',time_disp);
fclose(fileID);

fileID2 = fopen('acc_of_wire.plo','w');
fprintf(fileID2,'%f %f\r\n',acc_wire);
fclose(fileID2);
